/* HTML-Heaven Arexx script for AutoView support
 * Ver      : 1.0 (28th December 1995)
 * Copyright: Paul Kolenbrander (InterNet: paul@serena.iaehv.nl)
 * Function : If AutoView selected, this one will get the filename
 *            of the HTML doc and tries to show it in a browser.
 *            Currently there's support for IBrowse and AMosaic.
 *            If you wrote a browser yourself that has ARexx support,
 *            let me know about it so I can create support for it.
 *            Just email me at: paul@serena.iaehv.nl
 *            If no filename supplied, we'll try to do a reload.
 * Input    : HTMLDOC - The HTML document to be showed
*/

OPTIONS RESULTS                             /* enable return codes     */
PARSE ARG HTMLDOC

IF SHOW('p', 'AMOSAIC.1') THEN DO           /* Can we find AMosaic?    */
   ADDRESS 'AMOSAIC.1'                      /* Got it!                 */
   IF HTMLDOC = 'htmldoc' | HTMLDOC = 'HTMLDOC' | HTMLDOC = '' THEN DO
      'jump url reload'
   END
   ELSE DO
      'jump url file://localhost/'||HTMLDOC
   END
END 

IF SHOW('p', 'IBROWSE.1') THEN DO           /* Can we find IBROWSE?    */
   ADDRESS 'IBROWSE.1'                      /* Got it!                 */
   IF HTMLDOC = 'htmldoc' | HTMLDOC = 'HTMLDOC' | HTMLDOC = '' THEN DO
      'jump url reload'
   END
   ELSE DO
      'jump url file://localhost/'||HTMLDOC
   END
END 
EXIT
